<template>
  <div class="project">
    <b-alert show :variant="typesStyle" class="project__block"
      >{{ data.name }}
      <b-button class="project__btn" @click="editProject()" size="sm" variant="warning">
        edit
      </b-button>
    </b-alert>
  </div>
</template>

<script>
export default {
  props: {
    data: {
      type: Object,
      default: null,
    },
    type: {
      type: String,
      default: "",
    },
  },
  computed: {
    typesStyle() {
      switch (this.type) {
        case "todo":
          return "warning";
        case "process":
          return "primary";
        case "done":
          return "success";
        default:
          return "warning";
      }
    },
  },
  methods: {
    editProject() {
      this.$root.$emit('edit:project', this.data)
    }
  }
};
</script>
